# ifndef yyPICout
# define yyPICout

# if defined __STDC__ | defined __cplusplus
# define ARGS(parameters)	parameters
# else
# define ARGS(parameters)	()
# endif

# ifndef bool
# define bool char
# endif

# include "Tree.h"

/* line 11 "/home/simon/spoc/source/spoc.1.3//source/gmd/pic.trafo" */

  /* This is the function ParserDrv.c calls when it wants to output PIC assembler. */
  /* The caller is required to call BeginPICout(), prior to this function. */
  /* After returning, the caller is then required to call ClosePICout(). */
  extern void OutputPIC(const char* filename, tTree tree);

  /* These are the flags which ParserDrv.c can use to enable/disable the generation of error checking code. */
  extern bool PIC_CheckForInvalidShifts;
  extern bool PIC_CheckForInvalidReplicators;
  extern bool PIC_CheckForArithmeticOverflow;
  extern bool PIC_CheckForFailedIFs;
  extern bool PIC_CheckForFailedCASEs;
  extern bool PIC_CheckForInvalidConversions;
  

extern void (* PICout_Exit) ();


extern void BeginPICout ();
extern void ClosePICout ();

# endif
