# define DEP(a, b) a
# define SELF yyt
# include "SMVAg.h"


static char yyb;

static void yyVisit1 ARGS((register tTree yyt));

void SMVAg
# if defined __STDC__ | defined __cplusplus
 (tTree yyt)
# else
 (yyt) tTree yyt;
# endif
{ yyVisit1 (yyt); }

static void yyVisit1
# if defined __STDC__ | defined __cplusplus
 (register tTree yyt)
# else
 (yyt) register tTree yyt;
# endif
{

 switch (yyt->Kind) {

case kStart:
yyVisit1 (yyt->Start.Process);
break;

case kSpecList:
break;

case kNoSpec:
break;

case kASpec:
yyVisit1 (yyt->ASpec.Spec);
yyVisit1 (yyt->ASpec.Next);
break;

case kSpec:
break;

case kDeclType:
yyVisit1 (yyt->DeclType.Type);
break;

case kDecl:
yyVisit1 (yyt->Decl.IdList);
yyVisit1 (yyt->Decl.Type);
break;

case kIs:
yyVisit1 (yyt->Is.Elemental);
yyVisit1 (yyt->Is.Type);
break;

case kAVal:
yyVisit1 (yyt->AVal.Expr);
yyVisit1 (yyt->AVal.Type);
break;

case kVal:
yyVisit1 (yyt->Val.Expr);
yyVisit1 (yyt->Val.Type);
break;

case kValRetypes:
yyVisit1 (yyt->ValRetypes.Expr);
yyVisit1 (yyt->ValRetypes.Type);
break;

case kValReshapes:
yyVisit1 (yyt->ValReshapes.Expr);
yyVisit1 (yyt->ValReshapes.Type);
break;

case kRetypes:
yyVisit1 (yyt->Retypes.Elemental);
yyVisit1 (yyt->Retypes.Type);
break;

case kReshapes:
yyVisit1 (yyt->Reshapes.Elemental);
yyVisit1 (yyt->Reshapes.Type);
break;

case kDefAPro:
break;

case kDefSeqPro:
yyVisit1 (yyt->DefSeqPro.SeqProList);
break;

case kDefTagPro:
yyVisit1 (yyt->DefTagPro.TagProList);
break;

case kDefAProc:
yyVisit1 (yyt->DefAProc.Formals);
break;

case kDefProc:
yyVisit1 (yyt->DefProc.Process);
yyVisit1 (yyt->DefProc.Formals);
break;

case kInlineDefProc:
yyVisit1 (yyt->InlineDefProc.Process);
yyVisit1 (yyt->InlineDefProc.Formals);
break;

case kPrototypeProc:
yyVisit1 (yyt->PrototypeProc.Formals);
break;

case kDefAFunc:
yyVisit1 (yyt->DefAFunc.Formals);
yyVisit1 (yyt->DefAFunc.TypeList);
break;

case kDefFunc:
yyVisit1 (yyt->DefFunc.Valof);
yyVisit1 (yyt->DefFunc.Formals);
yyVisit1 (yyt->DefFunc.TypeList);
break;

case kInlineDefFunc:
yyVisit1 (yyt->InlineDefFunc.Valof);
yyVisit1 (yyt->InlineDefFunc.Formals);
yyVisit1 (yyt->InlineDefFunc.TypeList);
break;

case kDefIsFunc:
yyVisit1 (yyt->DefIsFunc.ExprList);
yyVisit1 (yyt->DefIsFunc.Formals);
yyVisit1 (yyt->DefIsFunc.TypeList);
break;

case kInlineDefIsFunc:
yyVisit1 (yyt->InlineDefIsFunc.ExprList);
yyVisit1 (yyt->InlineDefIsFunc.Formals);
yyVisit1 (yyt->InlineDefIsFunc.TypeList);
break;

case kPrototypeFunc:
yyVisit1 (yyt->PrototypeFunc.Formals);
yyVisit1 (yyt->PrototypeFunc.TypeList);
break;

case kPlace:
yyVisit1 (yyt->Place.Expr);
break;

case kNullSpec:
break;

case kPragmaTrack:
break;

case kHCode:
break;

case kCallFrame:
break;

case kParFrame:
break;

case kFormals:
break;

case kNoFormal:
break;

case kNoFormals:
break;

case kAFormal:
yyVisit1 (yyt->AFormal.Type);
yyVisit1 (yyt->AFormal.By);
yyVisit1 (yyt->AFormal.Next);
break;

case kReplicator:
yyVisit1 (yyt->Replicator.For);
yyVisit1 (yyt->Replicator.From);
break;

case kTagProList:
break;

case kNoTagPro:
break;

case kATagPro:
yyVisit1 (yyt->ATagPro.SeqProList);
yyVisit1 (yyt->ATagPro.Next);
break;

case kBy:
break;

case kByVal:
break;

case kByRef:
break;

case kByUndef:
break;

case kIdList:
break;

case kNoId:
break;

case kAnId:
yyVisit1 (yyt->AnId.Next);
/* line 574 "" */
 yyt->AnId.SMV_idnum = -1;
break;

case kType:
break;

case kArray:
yyVisit1 (yyt->Array.Expr);
yyVisit1 (yyt->Array.Type);
break;

case kUserArray:
yyVisit1 (yyt->UserArray.Type);
yyVisit1 (yyt->UserArray.Expr);
break;

case kChan:
yyVisit1 (yyt->Chan.Protocol);
break;

case kTimer:
break;

case kUntyped:
break;

case kUntypedByte:
break;

case kUntypedReal:
break;

case kUntypedInteger:
break;

case kUntypedInt:
break;

case kUntypedHex:
break;

case kPrimitive:
break;

case kNumeric:
break;

case kInteger:
break;

case kInt:
break;

case kUserInt:
break;

case kInt16:
break;

case kUserInt16:
break;

case kInt32:
break;

case kUserInt32:
break;

case kInt64:
break;

case kUserInt64:
break;

case kReal:
break;

case kReal32:
break;

case kUserReal32:
break;

case kReal64:
break;

case kUserReal64:
break;

case kByte:
break;

case kUserByte:
break;

case kBool:
break;

case kUserBool:
break;

case kUserStructTypes:
yyVisit1 (yyt->UserStructTypes.FieldList);
break;

case kUserDataTypes:
yyVisit1 (yyt->UserDataTypes.FieldList);
break;

case kUserRecord:
yyVisit1 (yyt->UserRecord.FieldList);
break;

case kUserPackedRecord:
yyVisit1 (yyt->UserPackedRecord.FieldList);
break;

case kUserUnion:
yyVisit1 (yyt->UserUnion.FieldList);
break;

case kUserChanRecord:
yyVisit1 (yyt->UserChanRecord.FieldList);
break;

case kTypeList:
break;

case kNoType:
break;

case kAType:
yyVisit1 (yyt->AType.Next);
yyVisit1 (yyt->AType.Type);
break;

case kFieldList:
break;

case kNoField:
break;

case kAField:
yyVisit1 (yyt->AField.Type);
yyVisit1 (yyt->AField.Next);
break;

case kProtocol:
break;

case kAny:
break;

case kNamed:
break;

case kSimple:
yyVisit1 (yyt->Simple.Type);
break;

case kCounted:
yyVisit1 (yyt->Counted.Type);
yyVisit1 (yyt->Counted.Length);
break;

case kSeqProList:
break;

case kNoSeqPro:
break;

case kASeqPro:
yyVisit1 (yyt->ASeqPro.Next);
yyVisit1 (yyt->ASeqPro.Protocol);
break;

case kExpr:
break;

case kBinary:
yyVisit1 (yyt->Binary.Op);
yyVisit1 (yyt->Binary.Rop);
yyVisit1 (yyt->Binary.Lop);
break;

case kUnary:
yyVisit1 (yyt->Unary.Op);
yyVisit1 (yyt->Unary.Expr);
break;

case kConst:
yyVisit1 (yyt->Const.Type);
break;

case kValof:
yyVisit1 (yyt->Valof.ExprList);
yyVisit1 (yyt->Valof.Process);
yyVisit1 (yyt->Valof.SpecList);
break;

case kFuncCall:
yyVisit1 (yyt->FuncCall.ExprList);
break;

case kElementalExpr:
yyVisit1 (yyt->ElementalExpr.Elemental);
break;

case kDefault:
break;

case kConvert:
yyVisit1 (yyt->Convert.Expr);
yyVisit1 (yyt->Convert.Type);
break;

case kRound:
yyVisit1 (yyt->Round.Expr);
yyVisit1 (yyt->Round.Type);
break;

case kTrunc:
yyVisit1 (yyt->Trunc.Expr);
yyVisit1 (yyt->Trunc.Type);
break;

case kMostPos:
yyVisit1 (yyt->MostPos.Type);
break;

case kMostNeg:
yyVisit1 (yyt->MostNeg.Type);
break;

case kCountArray:
yyVisit1 (yyt->CountArray.Expr);
yyVisit1 (yyt->CountArray.Length);
break;

case kUnBound:
break;

case kBytesIn:
break;

case kBytesInType:
yyVisit1 (yyt->BytesInType.Type);
break;

case kBytesInExpr:
yyVisit1 (yyt->BytesInExpr.Expr);
break;

case kSizeOf:
yyVisit1 (yyt->SizeOf.Type);
break;

case kOffsetOf:
yyVisit1 (yyt->OffsetOf.UnmappedIdentifier);
yyVisit1 (yyt->OffsetOf.Type);
break;

case kStringElement:
break;

case kString:
yyVisit1 (yyt->String.Type);
break;

case kStringSubscript:
yyVisit1 (yyt->StringSubscript.Expr);
yyVisit1 (yyt->StringSubscript.Next);
break;

case kStringRange:
yyVisit1 (yyt->StringRange.For);
yyVisit1 (yyt->StringRange.From);
yyVisit1 (yyt->StringRange.Next);
break;

case kElemental:
break;

case kTableElement:
break;

case kTable:
yyVisit1 (yyt->Table.ExprList);
break;

case kUserLiteral:
yyVisit1 (yyt->UserLiteral.Type);
yyVisit1 (yyt->UserLiteral.ExprList);
break;

case kTableExpr:
yyVisit1 (yyt->TableExpr.Expr);
break;

case kTableSubscript:
yyVisit1 (yyt->TableSubscript.Expr);
yyVisit1 (yyt->TableSubscript.Next);
break;

case kTableRange:
yyVisit1 (yyt->TableRange.For);
yyVisit1 (yyt->TableRange.From);
yyVisit1 (yyt->TableRange.Next);
break;

case kElement:
break;

case kIdentifier:
break;

case kUnmappedIdentifier:
break;

case kElementAccess:
yyVisit1 (yyt->ElementAccess.Next);
break;

case kSubscript:
yyVisit1 (yyt->Subscript.Expr);
yyVisit1 (yyt->Subscript.Next);
break;

case kRange:
yyVisit1 (yyt->Range.For);
yyVisit1 (yyt->Range.From);
yyVisit1 (yyt->Range.Next);
break;

case kExprList:
break;

case kNoExpr:
break;

case kAnExpr:
yyVisit1 (yyt->AnExpr.Next);
yyVisit1 (yyt->AnExpr.Expr);
break;

case kOp:
break;

case kRelOp:
break;

case kLess:
break;

case kGreater:
break;

case kLessEqual:
break;

case kGreaterEqual:
break;

case kEqual:
break;

case kNotEqual:
break;

case kMathsOp:
break;

case kAdd:
break;

case kSubtract:
break;

case kMultiply:
break;

case kDivide:
break;

case kRem:
break;

case kBitOp:
break;

case kBitAnd:
break;

case kBitOr:
break;

case kBitEor:
break;

case kShiftOp:
break;

case kLeftShift:
break;

case kRightShift:
break;

case kUniOp:
break;

case kSize:
break;

case kBitNot:
break;

case kNot:
break;

case kClockOp:
break;

case kPlus:
break;

case kMinus:
break;

case kTimes:
break;

case kLogOp:
break;

case kAnd:
break;

case kOr:
break;

case kAfterOp:
break;

case kProcess:
yyVisit1 (yyt->Process.SpecList);
/* line 573 "" */
 yyt->Process.SMV_pcid = -1;
break;

case kAssign:
yyVisit1 (yyt->Assign.Rval);
yyVisit1 (yyt->Assign.Lval);
yyVisit1 (yyt->Assign.SpecList);
/* line 573 "" */
 yyt->Assign.SMV_pcid = -1;
break;

case kAltType:
yyVisit1 (yyt->AltType.SpecList);
/* line 573 "" */
 yyt->AltType.SMV_pcid = -1;
break;

case kAlt:
yyVisit1 (yyt->Alt.AltList);
yyVisit1 (yyt->Alt.SpecList);
/* line 573 "" */
 yyt->Alt.SMV_pcid = -1;
break;

case kAltRep:
yyVisit1 (yyt->AltRep.AltList);
yyVisit1 (yyt->AltRep.Replicator);
yyVisit1 (yyt->AltRep.SpecList);
/* line 573 "" */
 yyt->AltRep.SMV_pcid = -1;
break;

case kParType:
yyVisit1 (yyt->ParType.SpecList);
/* line 573 "" */
 yyt->ParType.SMV_pcid = -1;
break;

case kPar:
yyVisit1 (yyt->Par.ProcList);
yyVisit1 (yyt->Par.SpecList);
/* line 573 "" */
 yyt->Par.SMV_pcid = -1;
break;

case kParRep:
yyVisit1 (yyt->ParRep.Process);
yyVisit1 (yyt->ParRep.Replicator);
yyVisit1 (yyt->ParRep.SpecList);
/* line 573 "" */
 yyt->ParRep.SMV_pcid = -1;
break;

case kProcessor:
yyVisit1 (yyt->Processor.Process);
yyVisit1 (yyt->Processor.Expr);
yyVisit1 (yyt->Processor.SpecList);
/* line 573 "" */
 yyt->Processor.SMV_pcid = -1;
break;

case kIfType:
yyVisit1 (yyt->IfType.SpecList);
/* line 573 "" */
 yyt->IfType.SMV_pcid = -1;
break;

case kIf:
yyVisit1 (yyt->If.ChoiceList);
yyVisit1 (yyt->If.SpecList);
/* line 573 "" */
 yyt->If.SMV_pcid = -1;
break;

case kIfRep:
yyVisit1 (yyt->IfRep.ChoiceList);
yyVisit1 (yyt->IfRep.Replicator);
yyVisit1 (yyt->IfRep.SpecList);
/* line 573 "" */
 yyt->IfRep.SMV_pcid = -1;
break;

case kInput:
yyVisit1 (yyt->Input.ExprList);
yyVisit1 (yyt->Input.Element);
yyVisit1 (yyt->Input.SpecList);
/* line 573 "" */
 yyt->Input.SMV_pcid = -1;
break;

case kOutput:
yyVisit1 (yyt->Output.ExprList);
yyVisit1 (yyt->Output.Element);
yyVisit1 (yyt->Output.SpecList);
/* line 573 "" */
 yyt->Output.SMV_pcid = -1;
break;

case kCaseIn:
yyVisit1 (yyt->CaseIn.CaseList);
yyVisit1 (yyt->CaseIn.Element);
yyVisit1 (yyt->CaseIn.SpecList);
/* line 573 "" */
 yyt->CaseIn.SMV_pcid = -1;
break;

case kAfter:
yyVisit1 (yyt->After.Expr);
yyVisit1 (yyt->After.Element);
yyVisit1 (yyt->After.SpecList);
/* line 573 "" */
 yyt->After.SMV_pcid = -1;
break;

case kSeqRep:
yyVisit1 (yyt->SeqRep.Process);
yyVisit1 (yyt->SeqRep.Replicator);
yyVisit1 (yyt->SeqRep.SpecList);
/* line 573 "" */
 yyt->SeqRep.SMV_pcid = -1;
break;

case kSeq:
yyVisit1 (yyt->Seq.ProcList);
yyVisit1 (yyt->Seq.SpecList);
/* line 573 "" */
 yyt->Seq.SMV_pcid = -1;
break;

case kCase:
yyVisit1 (yyt->Case.ChoiceList);
yyVisit1 (yyt->Case.Selector);
yyVisit1 (yyt->Case.SpecList);
/* line 573 "" */
 yyt->Case.SMV_pcid = -1;
break;

case kWhile:
yyVisit1 (yyt->While.Process);
yyVisit1 (yyt->While.Expr);
yyVisit1 (yyt->While.SpecList);
/* line 573 "" */
 yyt->While.SMV_pcid = -1;
break;

case kSkip:
yyVisit1 (yyt->Skip.SpecList);
/* line 573 "" */
 yyt->Skip.SMV_pcid = -1;
break;

case kStop:
yyVisit1 (yyt->Stop.SpecList);
/* line 573 "" */
 yyt->Stop.SMV_pcid = -1;
break;

case kInstance:
yyVisit1 (yyt->Instance.ExprList);
yyVisit1 (yyt->Instance.SpecList);
/* line 573 "" */
 yyt->Instance.SMV_pcid = -1;
break;

case kCCode:
yyVisit1 (yyt->CCode.SpecList);
/* line 573 "" */
 yyt->CCode.SMV_pcid = -1;
break;

case kNullProcess:
yyVisit1 (yyt->NullProcess.SpecList);
/* line 573 "" */
 yyt->NullProcess.SMV_pcid = -1;
break;

case kAltList:
break;

case kNoAlt:
break;

case kAnAlts:
yyVisit1 (yyt->AnAlts.SpecList);
yyVisit1 (yyt->AnAlts.Next);
break;

case kAnAlt:
yyVisit1 (yyt->AnAlt.SpecList);
yyVisit1 (yyt->AnAlt.Guard);
yyVisit1 (yyt->AnAlt.Next);
break;

case kANewAlt:
yyVisit1 (yyt->ANewAlt.SpecList);
yyVisit1 (yyt->ANewAlt.AltType);
yyVisit1 (yyt->ANewAlt.Next);
break;

case kGuard:
yyVisit1 (yyt->Guard.Expr);
break;

case kAltInput:
yyVisit1 (yyt->AltInput.Process);
yyVisit1 (yyt->AltInput.Input);
yyVisit1 (yyt->AltInput.Expr);
break;

case kAltTimer:
yyVisit1 (yyt->AltTimer.Process);
yyVisit1 (yyt->AltTimer.After);
yyVisit1 (yyt->AltTimer.Expr);
break;

case kAltCaseIn:
yyVisit1 (yyt->AltCaseIn.CaseIn);
yyVisit1 (yyt->AltCaseIn.Expr);
break;

case kNoInput:
yyVisit1 (yyt->NoInput.Process);
yyVisit1 (yyt->NoInput.Expr);
break;

case kChoiceList:
break;

case kNoChoice:
break;

case kAChoices:
yyVisit1 (yyt->AChoices.SpecList);
yyVisit1 (yyt->AChoices.Next);
break;

case kAChoice:
yyVisit1 (yyt->AChoice.SpecList);
yyVisit1 (yyt->AChoice.Process);
yyVisit1 (yyt->AChoice.ExprList);
yyVisit1 (yyt->AChoice.Next);
break;

case kANewIf:
yyVisit1 (yyt->ANewIf.SpecList);
yyVisit1 (yyt->ANewIf.IfType);
yyVisit1 (yyt->ANewIf.Next);
break;

case kProcList:
break;

case kNoProcess:
break;

case kAProcess:
yyVisit1 (yyt->AProcess.Process);
yyVisit1 (yyt->AProcess.Next);
break;

case kCaseList:
break;

case kNoCase:
break;

case kACase:
yyVisit1 (yyt->ACase.Next);
yyVisit1 (yyt->ACase.Process);
yyVisit1 (yyt->ACase.ExprList);
yyVisit1 (yyt->ACase.SpecList);
break;
 default: ;
 }
}

void BeginSMVAg ()
{
}

void CloseSMVAg ()
{
}
