# ifndef yyOptimise
# define yyOptimise

# if defined __STDC__ | defined __cplusplus
# define ARGS(parameters)	parameters
# else
# define ARGS(parameters)	()
# endif

# ifndef bool
# define bool char
# endif

# include "Tree.h"

/* line 19 "/home/simon/spoc/source/spoc.1.3//source/gmd/optimise.trafo" */

  extern bool UnrollSeqRepFlag;
  extern bool UnrollAltRepFlag;
  extern bool UnrollParRepFlag;
  extern bool UnrollIfRepFlag;
  extern bool SimplifyIfFlag;
  extern bool SimplifyCaseFlag;
  extern bool InlineProcFlag;
  extern bool InlineFuncFlag;
  extern bool UniqueNamesFlag;  /* this MUST be true if procedure inliming is enabled */
  extern bool InlineArraysFlag;
  extern bool RemoveUnusedFlag;
  

extern void (* Optimise_Exit) ();

extern tTree Optimise ARGS((tTree yyP1));

extern void BeginOptimise ();
extern void CloseOptimise ();

# endif
